View Issue Details

IDProjectCategoryView StatusLast Update
00302782.x IDE BugsCode EditorPublic2019-02-26 15:41
ReporterAlan SavageAssigned ToRussell Kay 
PriorityLowSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.1 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030278: Code Editor: Unterminated strings/comments in region comment interfere with region parsing or show a syntax error
Descriptionunterminated double quotes or /* comment following #region or #endregion in the comment tag, causes either a syntax error or interferes with region parsing in the IDE.

Expected: all characters following #region and #endregion are part of a comment and should not affect parsing or show syntax errors
Steps To Reproduceeg
#region "hello
#endregion

#region comment /* unclosed
#endregion

TagsCompiler
2.x IDE Found In9.2.1.1635
2.x Runtime Found In9.9.1.1268
2.x IDE Verified In2.2.2.395
2.x Runtime Verified In2.2.1.291

Activities

Russell Kay

2019-01-29 23:02

Manager   ~0062569

Fixed in gitlab

Dan

2019-02-06 15:56

Adminstrator   ~0062658

IDE 392+

Matthew McInnes

2019-02-26 15:41

Adminstrator   ~0063348

Closing. Verified as fixed in:

IDE v2.2.2.395 Runtime v2.2.1.291